MetacatUI - Task #6025
Feature # 6014 (Closed): Implement publish DOI action

Include publish DOI in the Ul
07/03/2013 10:06 PM - ben leinfelder

Status: Closed Start date: 07/03/2013
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.1.0 Spent time: 0.00 hour
Description

There should be a Ul option for users when they want to publish an existing package. They need to have update rights to the object
for it to succeed so the access policy should probably be consulted before showing them any sort of button.

History

#1 - 08/13/2013 01:01 PM - ben leinfelder
- Status changed from New to In Progress

- Assignee changed from Chris Jones to ben leinfelder

| have this on the MetadataView page now (off to the left like the Share button)

#2 - 08/15/2013 10:16 AM - ben leinfelder

- Status changed from In Progress to Feedback

Now the button is disabled if the user does not have changePermission (AKA is not the owner) of the object. This advertises the service, but makes
sure no one attempts to publish before they are logged in with the appropriate account.

#3 - 08/27/2013 04:50 PM - ben leinfelder
- Status changed from Feedback to In Progress

- Assignee changed from ben leinfelder to Lauren Walker

Matt suggested that the DOI button go in the citation area under the download button. Let's see if that can work.

#4 - 08/28/2013 11:35 AM - Lauren Walker

- Status changed from In Progress to Feedback

| moved the Publish DOI button into the well with the Download button in the Metadata view. Changed some general aesthetics of it as well.

#5 - 08/28/2013 04:57 PM - Lauren Walker
Changed the buttons to be stacked on the right side of the page. Publish with DOI button now has a popover that explains to log in to publish.

#6 - 09/10/2013 09:52 AM - Lauren Walker
- Status changed from Feedback to Closed

- translation missing: en.field_remaining_hours set to 0.0
